text.skipToContent text.skipToNavigation

Linksys app support for iOS

The Linksys app will no longer be supporting iOS 11, 12, and 13 with the release of Linksys app version 2.16.2.  This means that users who have iPhone® 6 or older won’t be able to install the Linksys app anymore.  To continue your access to Linksys app features, updates or premium security services, Linksys recommends upgrading your iOS 11, 12 or 13 devices to iOS 14.1 or greater.

If you have any questions, you can reach out to
Linksys technical support for assistance.

 

Was this support article useful?

Additional Support Questions?

Search Again

CONTACT SUPPORT